Wordpress 4.6 Error

Discussion in 'Troubleshooting' started by jenolan, Aug 17, 2016.

  1. jenolan

    jenolan aMember Coder

    Joined:
    Nov 3, 2006
    Messages:
    493
    It would seem that WP 4.6 has broken the integration plugin, I have a report into the crew to look at it.

    Do not upgrade unless you think it will not affect you the error is ...

    Code:
    PHP Fatal error:  Call to a member function query() on null in /home/.../public_html/amember/library/Am/Lite.php on line 581
  2. femur

    femur aMember Pro Customer

    Joined:
    Mar 9, 2009
    Messages:
    24
    Doh! Wish I had seen your post before I upgraded to WP 4.6 and then upgraded to Amember 5.1.3 last night. In any case, thanks for letting us know.
  3. jenolan

    jenolan aMember Coder

    Joined:
    Nov 3, 2006
    Messages:
    493
    With help form the crew reduced the number of errors plugin "Uptime Robot Plugin for Wordpress" if installed with the current WP causes issues. Still having random failures, investigating them will advise when I find the cause ... it's all fun.
  4. awylie

    awylie aMember Pro Customer

    Joined:
    Aug 22, 2006
    Messages:
    41
    Has anyone else tried to upgrade to Wordpress 4.6 - especially those without this plugin? If so, have you faced any errors with that?

    Thanks.
  5. jenolan

    jenolan aMember Coder

    Joined:
    Nov 3, 2006
    Messages:
    493
    I contacted the author of the plugin, he has released a fixed version. All working now (famous last words).

Share This Page